# $Id: gallery-remote.spec 913 2008-08-28 01:46:31Z rpmbuild $
# repo: RE
# restrictions:

%define		_base	1.5
%define		_rc	b39

Summary:	Gallery Remote - client-side frontend to Gallery
Name:		gallery-remote
Version:	1.5.1
Release:	%RErelease %{_rc}.1
License:	GPLv2+
Group:		Applications/Publishing
URL:		http://gallery.menalto.com/wiki/Gallery_Remote
Source0:	http://dl.sourceforge.net/gallery/GalleryRemote.%{_base}.Linux.NoVM.bin
Source1:	http://www.gallery2.hu/download/GalleryRemote/gallery_remote_%{version}-%{_rc}.zip
Source2:	%{name}.png
Source3:	%{name}.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	sed >= 4.0
BuildRequires: rpm-macros-razorsedge
Requires:	ImageMagick
Requires:	jre >= 1.4
BuildArch:	noarch

%define		_appdir	%{_datadir}/%{name}

%description
Gallery Remote is a client-side Java application that provides users
with a rich front-end to Gallery. This application makes it easier to
upload images to your Gallery.

%prep
%setup -qcT

# emulate the self-extractable installer
head -n 256 %{SOURCE0} > header
ARCHREALSIZE=$(%{__awk} -F= '/^ARCHREALSIZE=/{print $2}' header)
BLOCKSIZE=$(%{__awk} -F= '/^BLOCKSIZE=/{print $2}' header)
RESSIZE=$(%{__awk} -F= '/^RESSIZE=/{print $2}' header)
ARCHSTART=$(%{__awk} -F= '/^ARCHSTART=/{print $2}' header)
RESOURCE_ZIP=Resource1.zip
INSTALLER_BLOCKS=$(expr $ARCHREALSIZE / $BLOCKSIZE)
INSTALLER_REMAINDER=$(expr $ARCHREALSIZE % $BLOCKSIZE || :)
if [ ${INSTALLER_REMAINDER:-0} -gt 0 ]; then
	INSTALLER_BLOCKS=$(expr $INSTALLER_BLOCKS + 1)
fi
dd if=%{SOURCE0} of="$RESOURCE_ZIP" bs=$BLOCKSIZE skip=`expr $ARCHSTART + $INSTALLER_BLOCKS` count=$RESSIZE

%{__unzip} -qq Resource1.zip
%{__mv} '$IA_PROJECT_DIR$'/* .

# should overwrite files from 1.5 according to http://gallery.menalto.com/wiki/Gallery_Remote
%{__unzip} -qq -o %{SOURCE1}

%{__mv} gallery_docs/dist/grpackage html
%{__rm} -f LICENSE # GPL v2
%{__rm} -rf */{win32,macos} # wrong os

# make it configured
%{__mv} imagemagick/im.properties{.preinstalled,}
%{__mv} imagemagick/HOWTO HOWTO.imagemagick

# and jpegtran too
%{__mv} jpegtran/{linux/,}jpegtran.properties
%{__rm} jpegtran/linux/jpegtran # binary
%{__rm} jpegtran/jpegtran.preinstalled
%{__rm} -rf jpegtran/linux
%{__sed} -i -e '/^jp\.path/s/=.*/=jpegtran/' jpegtran/jpegtran.properties
# undos
%{__sed} -i -e 's,\r$,,' jpegtran/jpegtran.properties

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT{%{_appdir},%{_bindir}}
%{__cp} -a imagemagick img jpegtran lib $RPM_BUILD_ROOT%{_appdir}
%{__cp} -a GalleryRemote.jar $RPM_BUILD_ROOT%{_appdir}
cat <<EOF > $RPM_BUILD_ROOT%{_bindir}/%{name}
#!/bin/sh
cd %{_appdir}
exec java -Xmx1024m -cp GalleryRemote.jar com.gallery.GalleryRemote.GalleryRemote
EOF

%{__install} -m 644 -p -D %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
%if 0%{?_without_freedesktop:1}
%{__install} -m 644 -p -D %{SOURCE3} ${RPM_BUILD_ROOT}%{_datadir}/gnome/apps/Graphics/
%else
desktop-file-install --vendor="RE" --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE3}
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog html
%attr(755,root,root) %{_bindir}/*
%{_appdir}
%{_datadir}/pixmaps/%{name}.png
%{?_without_freedesktop:%{_datadir}/gnome/apps/Graphics/*}
%{!?_without_freedesktop:%{_datadir}/applications/*}


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* Sun Aug 24 2008 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.5.1-b39.1
- First build.

* Sun Aug 24 2008 PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gallery-remote.spec,v $
Revision 1.16  2007-11-30 19:23:51  glen
- fixed desktop file; rel 1

Revision 1.15  2007/07/02 15:59:15  glen
- update to 1.5.1-b32

Revision 1.14  2007/07/02 12:30:56  glen
- larger memory limit to be able to upload videos

Revision 1.13  2007/06/13 10:08:00  glen
- new version. i think

Revision 1.12  2007/06/13 10:06:56  glen
- new url

Revision 1.11  2007/04/07 12:00:45  rotom
- added 1.5.1-b31 patch

Revision 1.10  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.8  2006/05/02 19:56:22  glen
- up to 1.5

Revision 1.7  2005/09/05 04:15:57  ankry
- separate desktop from spec; pl in desktop

Revision 1.6  2005/09/04 23:04:08  glen
- need chdir otherwise .properties files cannot be found

Revision 1.5  2005/09/04 23:00:57  glen
- added desktop entry

Revision 1.4  2005/09/04 19:00:00  qboosh
- pl

Revision 1.3  2005/09/04 18:52:49  glen
- worksforme

Revision 1.2  2005/09/04 17:02:02  glen
- md5

Revision 1.1  2005/09/04 17:01:07  glen
- initial
